JacocoBase (Gradle API 2.14.1)

org.gradle.testing.jacoco.tasks

## Class JacocoBase

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.testing.jacoco.tasks.JacocoBase

- All Implemented Interfaces:
    GroovyObject, Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>
  Direct Known Subclasses:
    JacocoMerge, JacocoReport

      @Incubating
      public abstract class JacocoBase
      extends DefaultTask
      implements GroovyObject

  Base class for Jacoco tasks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacocoBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getJacocoClasspath()` Classpath containing Jacoco classes for use by the task.
    `MetaClass` | `getMetaClass()`
    `Object` | `getProperty(String property)`
    `Object` | `invokeMethod(String name, Object args)`
    `void` | `setJacocoClasspath(FileCollection jacocoClasspath)`
    `void` | `setMetaClass(MetaClass metaClass)`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface groovy.lang.GroovyObject

      `setProperty`

- - ### Constructor Detail

    - #### JacocoBase

          public JacocoBase()

  - ### Method Detail

    - #### getProperty

          public Object getProperty(String property)

      Specified by:
        `getProperty` in interface `GroovyObject`

    - #### invokeMethod

          public Object invokeMethod(String name,
                            Object args)

      Specified by:
        `invokeMethod` in interface `GroovyObject`

    - #### getMetaClass

          public MetaClass getMetaClass()

      Specified by:
        `getMetaClass` in interface `GroovyObject`

    - #### setMetaClass

          public void setMetaClass(MetaClass metaClass)

      Specified by:
        `setMetaClass` in interface `GroovyObject`

    - #### getJacocoClasspath

          @InputFiles
          public FileCollection getJacocoClasspath()

      Classpath containing Jacoco classes for use by the task.

    - #### setJacocoClasspath

          public void setJacocoClasspath(FileCollection jacocoClasspath)